Page MenuHomePhabricator

Add test to check if right resources are loaded
Closed, ResolvedPublic

Description

Kartographer php unit tests should check if the right modules get loaded. This way we can check that only needed resources get sent to the browser. Eg maplink should not load mapbox resource, etc.

Details

Related Gerrit Patches:
mediawiki/extensions/Kartographer : masterAdded resource loading test

Event Timeline

Yurik created this task.Apr 30 2016, 11:19 PM
Restricted Application added a project: Discovery. · View Herald TranscriptApr 30 2016, 11:19 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Yurik moved this task from Unsorted to General on the Maps (Kartographer) board.May 1 2016, 12:41 AM
Yurik moved this task from Backlog to To-do on the Maps-Sprint board.May 27 2016, 10:13 PM
Yurik claimed this task.May 28 2016, 3:32 PM

Change 291517 had a related patch set uploaded (by Yurik):
Added resource loading test

https://gerrit.wikimedia.org/r/291517

Yurik moved this task from To-do to Needs review on the Maps-Sprint board.May 28 2016, 3:35 PM

Change 291517 merged by jenkins-bot:
Added resource loading test

https://gerrit.wikimedia.org/r/291517

MaxSem closed this task as Resolved.Jun 1 2016, 10:20 PM